LOOK(1)

NAME
look - display lines beginning with a given string

SYNOPSIS
look [-df] [-t termchar] string [file ...]

DESCRIPTION
The look utility displays any lines in file which contain string as a prefix.

If file is not specified, the file /usr/share/dict/words is used, only alphanumeric characters are compared and the case of alphabetic characters is ignored.

Options:

-b  Use a binary search on the given word list. If you are ignoring case with -f or ignoring non-alphanumeric characters with -d, the file must be sorted in the same way. See sort(1) for more information on sorting files.

-d  Dictionary character set and order, i.e. only alphanumeric characters are compared.

-f  Ignore the case of alphabetic characters.

-t  Specify a string termination character, i.e. only the characters in string up to and including the first occurrence of termchar are compared.

The look utility exits 0 if one or more lines were found and displayed, 1 if no lines were found, and >1 if an error occurred.

FILES
/usr/share/dict/words
    the dictionary

SEE ALSO
grep(1), sort(1)

COMPATIBILITY
The original manual page stated that tabs and blank characters participated in comparisons when the -d option was specified. This was incorrect and the current man page matches the historic implementation.

look uses a linear search by default instead of a binary search, which is what most other implementations use by default.

HISTORY
A look utility appeared in AT&T UNIX.